<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos - Tela de login";
$objetocalculo=new calculos();
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$finalidade=$sessao->getVar('finalidade');
//echo(" Operador: $nomeOperador cod_labo= $idLabo<br>");
$valorDeful=$objetocalculo->capturaDeful($idLabo,'livro_protocolo');
$sqlSeletor=$sessao->getVar('controle5');
$origem=$sessao->getVar('controle6');
$cliente=$sessao->getVar('cliente');
$habitual='Habitual '.$cliente;

$user = new tabeladeful();
$user->extras_select =" where   cod_lab=".$idLabo ;
$user->selecionaTudo($user);
while ($res = $user->retornaDados()):
    $livro_protocolo=$res->livro_protocolo;//4x100  8x50 
endwhile;
$habitual='Habitual '.$valorDeful;


 
switch ($tela):
    case 'definir':
       echo ("<h2>LIVRO PROTOCOLO: $finalidade </h4>");	
	   if(post('manual') !== ""):
	       echo '<iframe src="manual2010.php?opcaoManual=livro" style="border:0" width="100%" height="350"></iframe>';//funciona
 	   endif;	
	   //echo("veio sqlseletor= $sqlSeletor  origem = $origem   <br>");
	   
	   
	   
       /////vai criar um registro na tabela deful para cada laboratorio/material se nao encontrou /////////////
	   ////////////////////////final da criação do registro////////////////////////////////
	     if(post('branco') !== ""):
            $sessao->setVar('controle1', 'branco');		
		 else:	 
		    $sessao->setVar('controle1', 'preenchido');		
		 endif;
		 
         $vaiImprimir="SIM";
		 
		 
	     $inicio=post('inicio');
	     $final=post('final');

	     $valendoData='NAO';
	     $dataInicio=trim(post('dataInicio'));
	     $dataFinal=trim(post('dataFinal'));
         //if(strlen($dataInicio)==10  &&  strlen($dataFinal)==10 )
		 $tama1=strlen($dataInicio);
		 $tama2=strlen($dataFinal);
		 
         if(strlen($dataInicio)==10  &&  strlen($dataFinal)==10 ):
		 	   $objetoValidacao=new validacao();
			   //data de inicio
			   $retorno=$objetoValidacao->converteDataBrasil_americana($dataInicio);//esta data vai validar o ano e somente esta
			   if($retorno=='invalida'):
				   printMSG('Preencha corretamente a data de entrada no formato dd/mm/aaaa, e do ano corrente. '.$dataInicio ,'alerta');
			   else:
				   $inicio_americana=$retorno;
			   endif;
			   //data final
			   $retorno=$objetoValidacao->converteDataBrasil_americana($dataFinal);//esta data vai validar o ano e somente esta
			   if($retorno=='invalida'):
				   printMSG('Preencha corretamente a data final no formato dd/mm/aaaa, e do ano corrente. '.$dataFinal,'alerta');
			   else:
				   $final_americana=$retorno;
			   endif;
		     $valendoData='SIM';
	         $sessao = new sessao();
			 $sessao->setVar('inicio', $inicio_americana);
			 $sessao->setVar('final', $final_americana); 	
		 endif; 
	  //echo("xxxxxxxxxxxxxxx $valendoData  gggg  $tama1   hhhh $tama2<br>");	 
	  //$valendoData='SIM'; 
      if($valendoData=="SIM"):		 
      endif;
    	 
      if($valendoData=="NAO"):		 
         if($inicio=="")$inicio=1;
         if($final=="")$final=30;
	     $mes=str_pad(post('mes'), 2, "0", STR_PAD_LEFT);
		 //$texto=str_pad($numDoc, 3, "0", STR_PAD_LEFT);
         $parametroLimite=29;//botar 29
		 //limpar as duas sessoes
         $sessao = new sessao();
		 $sessao->setVar('inicio', '');
		 $sessao->setVar('final', '');

		 if($mes>0):
	             $sessao->setVar('inicio',$mes );
				 $sessao->setVar('final','mes');
				 echo("Capturou mes: $mes<br>");
		 else:
		          //confere se colocou numero final maior
	         if($inicio>0 && $final>0):
				 $sessao->setVar('inicio', $inicio);
				 $sessao->setVar('final', $final);
			 else:
	             $vaiImprimir="NAO";
				 printMSG('Precisa informar a amostra inicial e a amostra final!','alerta');
			 endif;
             //confere se colocou numero final dentro de uma faxa estipulada pelo parametro para nao dar excesso de processamento
             $limiteSuperior=$inicio+$parametroLimite;
	         if($final <= $limiteSuperior):
				 $sessao->setVar('inicio', $inicio);
				 $sessao->setVar('final', $final);
			 else:
	             //$vaiImprimir="NAO";
				 $sessao->setVar('inicio', $inicio);
				 $sessao->setVar('final', $limiteSuperior);

				 printMSG('Por favor, reduza o intervalo para 30 amostras pois o computador necessita fazer muito processamento para tirar  este reletorio e pode derrubar oo sistema para voce e para todos  que usam o silasnet. Este relatório foi tirado justamente dentro do limite. Par tirar os demais acrscente um ao ultimo que ja foi impresso.!  Limite superior='.$limiteSuperior . ' Final solicitado= '. $final,'alerta');
			 endif;
		 
	         //se vem do farejador entao na precisa testar numeros deamostras  
	         if($origem=='origemFarejador'):
	            $vaiImprimir="SIM";
			 endif;
         endif;           
	  endif;//valendo data

if($vaiImprimir=='SIM'):	   
///////aqui vai imprimir o livro
      if(post('imprimir1') !== ""):
	     $sessao->setVar('controle','CURTO');
		 echo '<iframe src="imprimelivroprotocolo.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;

      //este modelo é similar ao modelo L1, mas aumenta a largura das colunas e aumenta a letra
      if(post('imprimir1A') !== ""):
	     $sessao->setVar('controle','CURTO_A');
		 echo '<iframe src="imprimelivroprotocolo.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;


	  
      if(post('imprimir2') !== ""):
	     $sessao->setVar('controle','QUALITESTEDEFINITIVAS');
		 echo '<iframe src="imprimelivroprotocolo.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;
      if(post('imprimir3') !== ""):
	     $sessao->setVar('controle','QUALITESTEPREVIAS');
		 echo '<iframe src="imprimelivroprotocolo.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;
	  
      if(post('imprimir4') !== ""):
	     $sessao->setVar('controle','QUALITESTEL4');
		 echo '<iframe src="imprimelivroprotocolo.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;

      if(post('imprimir4A') !== ""):
	     $sessao->setVar('controle','QUALITESTEL4A');
		 echo '<iframe src="imprimelivroprotocolo.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;
      if(post('imprimir4B') !== ""):
	     $sessao->setVar('controle','QUALITESTEL4B');
		 echo '<iframe src="imprimelivroprotocolo.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;


      if(post('imprimir_habitual') !== ""):
	     $sessao->setVar('controle',$valorDeful);
		 echo '<iframe src="imprimelivroprotocolo.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;
	  
	  
	  
	  
	  
      if(post('imprimir_habitual2019') !== ""):
	     $sessao->setVar('controle',$valorDeful."2019");
		 echo '<iframe src="imprimelivroprotocolo.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;

      if(post('imprimir5') !== ""):
	     $sessao->setVar('controle','RICETECMQ');
		 echo '<iframe src="imprimelivroRicetecMQ.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;
      if(post('imprimir6') !== ""):
	     $sessao->setVar('controle','RICETECLIVRO');
		 echo '<iframe src="imprimelivroRicetecNormal.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;

      if(post('imprimir7') !== ""):
	     $sessao->setVar('controle','CELEIRO');
		 echo '<iframe src="imprimelivroprotocolo.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;

      if(post('imprimir8') !== ""):
	     $sessao->setVar('controle','RICETECRESULTADOS');
		 echo '<iframe src="imprimelivroRicetecResultados.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;

      if(post('imprimir9') !== ""):
	     $sessao->setVar('controle','DIMICRONLIVRO');
		 echo '<iframe src="imprimelivroDimicron.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;

      if(post('imprimir10') !== ""):
	     $sessao->setVar('controle','TRISOLOLIVRO');
		 printMSG('Criou arquivo txt na pasta wamp/www/semente2013/php/paineladm/uploads/','alerta');
		 echo '<iframe src="imprimelivroTrisolo26.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;

      if(post('imprimir11') !== ""):
	     $sessao->setVar('controle','DIMI36');
		 echo '<iframe src="imprimelivroDimicron36.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;
      if(post('imprimir12') !== ""):
	     $sessao->setVar('controle','BAREN24');
		 echo '<iframe src="imprimelivroBaren24.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;
      if(post('imprimir13') !== ""):
	     $sessao->setVar('controle','BAREN14');
		 echo '<iframe src="imprimelivroBaren14.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;
      if(post('imprimir14') !== ""):
	     $sessao->setVar('controle','DIMIQUI');
		 echo '<iframe src="imprimelivroDimicronQui.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;

      if(post('imprimir15') !== ""):
	     $sessao->setVar('controle','CONTROLEGERMINACAO');
		 echo '<iframe src="imprimelivroControleGerminacao.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;
      if(post('imprimir16') !== ""):
	     $sessao->setVar('controle','CONTROLEGERMINACAO2018');
		 echo '<iframe src="imprimelivroControleGerminacao2018.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;
      if(post('imprimir17') !== ""):
	     $sessao->setVar('controle','BAREN24');
		 echo '<iframe src="imprimelivroBaren24Excel.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;
      if(post('imprimir18') !== ""):
	     $sessao->setVar('controle','dimiFito');
		 echo '<iframe src="imprimelivroDimiFito.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;
      if(post('imprimir19') !== ""):
	     $sessao->setVar('controle','BAREN26');
		 echo '<iframe src="imprimelivroBaren26Excel.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;

      if(post('imprimir20') !== ""):
	     $sessao->setVar('controle','PMS2020');
		 echo '<iframe src="imprimePMS2020.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;

	  //aqui vai exportar para excel e xml........................
	  	if(post('arquivoXML') !== "" || post('arquivoExcel') !== ""||post('arquivoTXT') !== "" ):
		 //echo("contador = $contador <br>");
		 
	     if(post('arquivoXML') !== ""):
	         echo '<iframe src="criarxml2015.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  	
         endif;

		 if(post('arquivoExcel') !== ""):

	        //echo '<iframe src="criarexcel2015.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  	
			echo '<iframe src="criarexcel2015_2016.php" style="border:0" width="100%" height="350"></iframe>';//funciona			
		 endif;
		 
		 if(post('arquivoTXT') !== ""):
            echo("criando arquivo txt");
			/*
			‘r’ – Abre somente para leitura; coloca o ponteiro no começo do arquivo.

			‘r+’ – Abre para leitura e gravação; coloca o ponteiro no começo do arquivo.

			‘w’ – Abre somente para gravação; coloca o ponteiro no começo do arquivo e apaga o conteúdo que já foi escrito. Se o arquivo não existir, tentar criá-lo.

			‘w+’ – Abre para leitura e escrita; coloca o ponteiro no início do arquivo e apaga o conteúdo que já foi escrito. Se o arquivo não existir, tentar criá-lo.

			‘a’ – Abre o arquivo somente para escrita; coloca o ponteiro no fim do arquivo. Se o arquivo não existir, tentar criá-lo.

			‘a+’ – Abre o arquivo para leitura e gravação; coloca o ponteiro no fim do arquivo. Se o arquivo não existir, tentar criá-lo.

			Com estas três funções você pode criar, escrever e fechar um arquivo facilmente.

			    <?php
			    // Abre ou cria o arquivo bloco1.txt
			    // "a" representa que o arquivo é aberto para ser escrito
			    $fp = fopen("bloco1.txt", "a");
			     
			    // Escreve "exemplo de escrita" no bloco1.txt
			    $escreve = fwrite($fp, "exemplo de escrita");
			     
			    // Fecha o arquivo
			    fclose($fp); -> OK
				//////////fim do exemplo acima que é meio simpleorio////////////
				//aqui mostra como da a quebra de linha
				$valor = "R$10,20";
$vencimento = "10/02/2009";
$f=fopen("tabela.txt","a+",0);
$linha=$valor.":".$vencimento.":\n";
fwrite($f,$linha,strlen($linha));
fclose($f);
echo"<script>window.location='inserir.php';</script>"
				
				
        
		       
				$contador=2;
                $vetorTXT[1][1]="tema1"; 
                $vetorTXT[1][2]="tema2"; 
                $vetorTXT[1][3]="tema3"; 
                $vetorTXT[2][1]="pala1"; 
                $vetorTXT[2][2]="pala2"; 
                $vetorTXT[2][3]="pala3"; 
				   */
                //$text = "Texto com quebra de linha\r\n";//sugestao do cabra
			    $fp = fopen("uploads/planilhatxt2016.txt","w",0);
			    // Escreve "exemplo de escrita" no bloco1.txt
                for($i=1;$i<=$contador;$i++):
				  $conteudo=""; 
			      for($j=1;$j<=3;$j++):
				     $conteudo=$conteudo.$vetorTXT[$i][$j].'#';
                  endfor;  
				  $conteudo=$conteudo."\r\n";                 
				  $escreve = fwrite($fp, $conteudo);
				endfor;  
			    // Fecha o arquivo
			    fclose($fp);// -> OK
                printMSG('3Criou arquivo txt na pasta wamp/www/semente2013/php/paineladm/uploads/','alerta');



		 endif;
		 	 
		 
		 
		 
		 //<!--aqui inseri isso dia 21/04/15-->
		  ?>
		  <html>
		  <body>
		    <table>
			<tr>
		    <td>
			Link-><a href="http://gugeler.net/semente2013/php/paineladm/arquivosxml/oto4.xml" target="_blank">[Baixar Arquivo xml]</a>
			</td>
			
			</tr>
			</table>
		    <!--<td><a href="http://gugeler.net/downloads/tampao310712x.rar" target="_blank">Tampao 31.07.12</a></td>-->
		  </body>
		   </html>
		 <?php
    endif;		
	  
	if(post('arquivoCSV') !== ""):
		 //echo("contador = $contador <br>");
	     if(post('arquivoXML') !== ""):
	         echo '<iframe src="criarcsv2015.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  	
		 else:
		     if($contador>20):
			     printMSG('A planilha csv nao pode ter mais de 20 registros. Preencha os campos INICIO E FIM  para delimitar os dados que precisa.','alerta');
			 else:	 
	             echo '<iframe src="criarcsv2015.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  	
		     endif;		 
		 endif;
		 //<!--aqui inseri isso dia 21/04/15-->
		  ?>
		  <html>
		  <body>
		    <table>
			<tr>
		    <td>
			Link-><a href="http://gugeler.net/semente2013/php/paineladm/arquivoscsv/oto4.csv" target="_blank">[Baixar Arquivo csv]</a>
			</td>
			
			</tr>
			</table>
		    <!--<td><a href="http://gugeler.net/downloads/tampao310712x.rar" target="_blank">Tampao 31.07.12</a></td>-->
		  </body>
		   </html>
		 <?php
    endif;		  
	  
	  
	  
endif;//teste vaiImprimir=SIM

if(post('bt_verSql') !== ""):
     $sqlSeletor=$sessao->getVar('controle5');



	 echo("sql = $sqlSeletor <br>");
endif;		  





        ?>
		<form class="userform" method="post" action="">
        <fieldset>
        <legend>Livro de protocolo. Informe amostra inicial e final</legend>
		<table border="1" width="1000" >
  
		<tr>
	        <td  bgcolor="#ff9393">
			Num inicio<input type="text"  name="inicio" size="5" maxlength="5"  value="<?php echo $inicio;?>"  /> 		
			Num Final <input type="text"  name="final" size="5" maxlength="5"  value="<?php echo $final;?>" />
			</td>
			<td bgcolor="#b8b0f9"> Mes<input type="text"  name="mes" size="5" maxlength="2"  value="<?php echo $mes;?>" /> </td>
	        <td  bgcolor="#a8eca6">
			Data início<input type="text"  name="dataInicio" size="8" maxlength="10"    value="<?php echo $dataInicio;?>"  />	
			Data final<input type="text"  name="dataFinal"  size="8" maxlength="10"    value="<?php echo $dataFinal;?> "  />
			</td>
        </tr>
        </table>
        <hr>
		<!--aqui coloco um botao para cda modelo-->
		<table>
        <tr>
		<td>Imprimir modelo->
		<input type="submit" name="imprimir1" value="L1" />
		<input type="submit" name="imprimir1A" value="L1A" />
		<input type="submit" name="imprimir2" value="L2" />
		<input type="submit" name="imprimir3" value="L3" />
		<input type="submit" name="imprimir4" value="L4" />
		<input type="submit" name="imprimir4A" value="L4A" />
		<input type="submit" name="imprimir4B" value="L4B" />
		<input type="submit" name="imprimir7" value="L7" />
		<input type="submit" name="imprimir_habitual" value="<?php echo $habitual;?>" />
		<input type="submit" name="imprimir5" value="RiceTec-MQ" />
		<input type="submit" name="imprimir_habitual2019" value="<?php echo $habitual.'2019';?>" />
		</td>
		</tr>
        <tr>
		<td>Imprimir modelo->
		<input type="submit" name="imprimir6" value="Ricetec-Livro" />
		<input type="submit" name="imprimir15" value="Controle Germinação" />
		<input type="submit" name="imprimir16" value="Controle Germ2018" />
		<input type="submit" name="imprimir18" value="DIMI_FITO" />
		<input type="submit" name="imprimir20" value="PMS2020" />
		
		</td>
		</tr>


        <tr>
		<td>Imprimir modelo->
		<input type="submit" name="imprimir8" value="Resultados(1)" />
		<input type="submit" name="imprimir9" value="DIMICRON" />
		<input type="submit" name="imprimir11" value="DIMI36" />
		<input type="submit" name="imprimir14" value="DIMIQUI" />
		<input type="submit" name="imprimir10" value="TRI26" />
		<input type="submit" name="imprimir13" value="BAR14" />
		<input type="submit" name="imprimir12" value="BAR24" />
		<input type="submit" name="imprimir17" value="BAR24E" />
		<input type="submit" name="imprimir19" value="BAR26E" />
		</td>
		</tr>
		
		
        <tr>
		<td>
		<input type="submit" name="arquivoExcel" value="Exportar para Excell" />
		<input type="submit" name="arquivoXML" value="Exportar para XML" />
		<input type="submit" name="arquivoCSV" value="Exportar para CSV" />
		<input type="submit" name="arquivoTXT" value="Exportar para TXT" />
		</td>
		</tr>
		
        <tr>
		<td>
		<input type="checkbox"  name="branco" />Em branco
		<input type="submit" name="manual" value="Ajuda" />
		<input type="submit" name="bt_verSql" value="Ver sql" />
		</td>
		</tr>
        </table> 

         
        </fieldset>
        <td><input type="hidden" name="id" size="1"  value="<?php echo $id;?>" </td>		

        </form>
		Nesta tela pode imprimir o protocolo e também pode exportar para excel para abastecer o Totus/SAP com o estoque.<br>
		Instrução:Primeiro visualize os dados,clicando L1 ou L2 etc, depois em seguida, clique em exportar para Excel ou outro.<br>
		O limite são 30 amostras de cada vez. Para imprimir mais que 30 amostras, repita a operação, indicando nova sequencia.<br>
		Para imprimir por mes, digite apenas o mes.(O restante será desconsiderado).<br>
		Se quiser trocar o ano, então acesso pleo menu: MANUTENÇÃO -->MUDAR O ANO<br>
		Para selecionar por numero,mes ou pela data precisa apenas preencher no respectivo local colorido.<br>
		Caso preencher os campos data inicial e final com datas válidas(formato dd/mm/aaaa), o critério data prevalecerá.<br>
		<br>
		
	<?php
    break;



	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>